import React from 'react';

import type { SlateElementProps } from '@udecode/plate-common';
import type { TColumnElement } from '@udecode/plate-layout';

import { cn } from '@udecode/cn';
import { SlateElement } from '@udecode/plate-common';

export function ColumnElementStatic({
  children,
  className,
  ...props
}: SlateElementProps) {
  const { width } = props.element as TColumnElement;

  return (
    <div className='group/column relative' style={{ width: width ?? '100%' }}>
      <SlateElement
        className={cn(
          className,
          'h-full px-2 pt-2 group-first/column:pl-0 group-last/column:pr-0'
        )}
        {...props}
      >
        <div className={cn('relative h-full border border-zinc-200 border-transparent p-1.5 dark:border-zinc-800')}>
          {children}
        </div>
      </SlateElement>
    </div>
  );
}
