import type React from 'react';

import type { EmojiCategoryList } from '@udecode/plate-emoji';

import {
  AppleIcon,
  ClockIcon,
  CompassIcon,
  FlagIcon,
  LeafIcon,
  LightbulbIcon,
  MusicIcon,
  SearchIcon,
  SmileIcon,
  StarIcon,
  XIcon,
} from 'lucide-react';

export const emojiCategoryIcons: Record<
  EmojiCategoryList,
  {
    outline: React.ReactElement;
    solid: React.ReactElement; // Needed to add another solid variant - outline will be used for now
  }
> = {
  activity: {
    outline: (
      <svg
        className='size-full'
        fill='none'
        stroke='currentColor'
        strokeLinecap='round'
        strokeLinejoin='round'
        strokeWidth='2'
        viewBox='0 24'
        xmlns='http://www.w3.org/2000/svg'
      >
        <circle cx='12' cy='12' r='10' />
        <path d='M2.1 13.4A10.1 10.1 0 13.4 2.1' />
        <path d='m5 4.9 14 14.2' />
        <path d='M21.9 10.6a10.1 10.1 0 0-11.3 11.3' />
      </svg>
    ),
    solid: (
      <svg
        className='size-full'
        fill='none'
        stroke='currentColor'
        strokeLinecap='round'
        strokeLinejoin='round'
        strokeWidth='2'
        viewBox='0 24'
        xmlns='http://www.w3.org/2000/svg'
      >
        <circle cx='12' cy='12' r='10' />
        <path d='M2.1 13.4A10.1 10.1 0 13.4 2.1' />
        <path d='m5 4.9 14 14.2' />
        <path d='M21.9 10.6a10.1 10.1 0 0-11.3 11.3' />
      </svg>
    ),
  },

  custom: {
    outline: <StarIcon className='size-full' />,
    solid: <StarIcon className='size-full' />,
  },

  flags: {
    outline: <FlagIcon className='size-full' />,
    solid: <FlagIcon className='size-full' />,
  },

  foods: {
    outline: <AppleIcon className='size-full' />,
    solid: <AppleIcon className='size-full' />,
  },

  frequent: {
    outline: <ClockIcon className='size-full' />,
    solid: <ClockIcon className='size-full' />,
  },

  nature: {
    outline: <LeafIcon className='size-full' />,
    solid: <LeafIcon className='size-full' />,
  },

  objects: {
    outline: <LightbulbIcon className='size-full' />,
    solid: <LightbulbIcon className='size-full' />,
  },

  people: {
    outline: <SmileIcon className='size-full' />,
    solid: <SmileIcon className='size-full' />,
  },

  places: {
    outline: <CompassIcon className='size-full' />,
    solid: <CompassIcon className='size-full' />,
  },

  symbols: {
    outline: <MusicIcon className='size-full' />,
    solid: <MusicIcon className='size-full' />,
  },
};

export const emojiSearchIcons = {
  delete: <XIcon className='size-4 text-current' />,
  loupe: <SearchIcon className='size-4 text-current' />,
};
